using Nirvana.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity
{
    /// <summary>
    /// 订单类型
    /// </summary>
    public enum OrderType
    {
        /// <summary>
        /// 公众号
        /// </summary>
        [EnumTitle("公众号")]
        Office = 1,
        /// <summary>
        /// 链接
        /// </summary>
        [EnumTitle("链接")]
        URL = 2,
        /// <summary>
        /// 小程序
        /// </summary>
        [EnumTitle("小程序")]
        Mini = 3
    }
    /// <summary>
    /// 订单绑定用途类型
    /// </summary>
    public enum OrderBindType
    {
        /// <summary>
        /// 设备管理
        /// </summary>
        [EnumTitle("设备管理")]
        DevMag = 1,
        /// <summary>
        /// 用户测量
        /// </summary>
        [EnumTitle("用户测量")]
        UserMea = 2,
        /// <summary>
        /// 用户绑定
        /// </summary>
        [EnumTitle("用户绑定")]
        UserBind = 3
    }
    /// <summary>
    /// 公众号类型
    /// </summary>
    public enum OfficeType
    {
        /// <summary>
        /// 认证的服务号
        /// </summary>
        [EnumTitle("认证的服务号")]
        RZFW = 1,
        /// <summary>
        /// 非认证
        /// </summary>
        [EnumTitle("非认证")]
        FRZ = 2,
        /// <summary>
        /// 个人号
        /// </summary>
        [EnumTitle("个人")]
        GR = 3,
        /// <summary>
        /// 小程序
        /// </summary>
        [EnumTitle("小程序")]
        MINI = 4
    }
    /// <summary>
    /// 订单状态
    /// </summary>
    public enum OrderStatus
    {
        /// <summary>
        /// 正常
        /// </summary>
        [EnumTitle("正常")]
        Run = 1,
        /// <summary>
        /// 待开启
        /// </summary>
        [EnumTitle("待开启")]
        Pause = 2,
        /// <summary>
        /// 已完成
        /// </summary>
        [EnumTitle("已完成")]
        Success = 3,
        /// <summary>
        /// 已取消
        /// </summary>
        [EnumTitle("已取消")]
        Cancel = 4
    }
}
